﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using XDCLegendLastSeriesItem.EnergyModel;

namespace XDCLegendLastSeriesItem
{
    class DataSourceToLastItemConverter : IValueConverter
    {
        public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            IEnumerable<object> items = value as IEnumerable<object>;
            if (items != null)
            {
                return "Coal: " + (items.LastOrDefault() as EnergyProduction).Coal.ToString();
            }
            else return Binding.DoNothing;
        }

        public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new System.NotImplementedException();
        }
    }
}
